=== debian/changelog ===
alsa-driver (1.0.13-5) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added snd-seq-midi as an optional load above generic modules (snd-rawmidi)
    Thanks Eduard Dumitrescu for testing. (closes: #408036)
  * Added "cx88_alsa (PCI: TV cards...." to debian/ALSA-card-list. This module
    will be loaded with index=-2. (closes: #411665)
  * Urgency set to medium as this will affect etch.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Feb 2007 17:55:02 +0100

alsa-driver (1.0.13-4) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added etc/modutils and etc/modprobe.d to debian/linux-sound-base.dirs.
    This will offer the possibility to upgrade from 2.4 to 2.6 kernels as
    well to downgrade from 2.6 to 2.4 kernels. The links from
    /lib/linux-sound-base/ will be created for sure now. (closes: #408249)
    Thanks to Lucas Nussbaum and Gregor Herrmann.
  * Urgency set to medium as this will affect etch significantly.

 -- Jordi Mallach <jordi@debian.org>  Fri, 16 Feb 2007 10:32:45 +0100

alsa-driver (1.0.13-3) unstable; urgency=low

  [ Jordi Mallach ]
  * Updated and new debconf template translations:
    - de.po: thanks, Helge Kreutzm (closes: #403264).
    - gl.po: thanks, Jacobo Tarrío (closes: #404578).

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Dec 2006 12:55:54 +0100

alsa-driver (1.0.13-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added XS-X-Vcs-Svn field in control.
  * Updated po files:
    - de.po: Thanks Helge Kreutzmann. Closes: #39866.

  [ Jordi Mallach ]
  * debian/control: add ${misc:Depends} to alsa-base.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Nov 2006 13:26:41 +0100

alsa-driver (1.0.13-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Updated po files:
    - fr.po: Thanks Christian Perrier
    - sv.po: Thanks Daniel Nylander
    - nl.po: Thanks Bart Cornelis
    - pt.po: Thanks Bruno Miguel da Silva Queiros
    - pt_BR.po: Thanks Felipe Augusto van de Wiel
    - vi.po: Thanks Clytie Siddall
    - tr.po: Thanks Recai Oktaş
    - ru.po: Thanks Serge Winitzki
    - cs.po: Thanks Miroslav Kure
    - ja.po: Thanks Kenshi Muto
    - es.po: Thanks Carlos Galisteo de Cabo
  * Removed debian/patches/08_i2c-powermac-configure-fix.dpatch. Applied
    upstream.
  * Removed debian/patches/96_acer.dpatch. Applied upstream.
  * Removed debian/patches/97_aoa.dpatch. Applied upstream.

  [ Jordi Mallach ]
  * Updated Catalan translation.

 -- Jordi Mallach <jordi@debian.org>  Tue,  3 Oct 2006 10:44:15 +0200

alsa-driver (1.0.12-1) unstable; urgency=low

  * New upstream release. (closes: #386663, #386822)

  [ Elimar Riesebieter ]
  * Removed 17_alsa-timer-irqsave.dpatch, 96_vi82xx_dxs_src.dpatch,
    97_pmac_hg. dpatch 98_pmac_hg2.dpatch. Applied upstream.
  * Added linux-source to alsa-source recommends. (closes: #383502)
  * Removed serialmidi from the variety of available drivers. See also
    https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2039
    (closes: #384711)
  * No sound with Intel 82801G ICH7 -> fixed upstream (closes: #362282)
  * Cleaned out depmod in alsa-source.post(inst|rm) (closes: #381749)
    Adjusted alsa-source.control
  * Added patches/98_ens1371_inaudible_sound_def.dpatch stolen from
    https://lists.ubuntu.com/archives/kernel-team/2006-August/000979.html
    (closes: #385736)
  * Bumped compat to 5 and debhelper version >=5.0.37
  * Added 08_i2c-powermac-configure-fix.dpatch and 97_aoa.dpatch to get the
    aoa-drivers to work.
  * Added 96_acer.dpatch to enable the use of snd-hda-intel for some
    notebooks.
  * Improved templates. Thanks Thomas Huriaux. (closes: #377648)
  * Added debconf-updatepo to debian/rules/clean target.

  [ Jordi Mallach ]
  * Updated Catalan debconf templates translation.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Sep 2006 10:21:23 +0200

alsa-driver (1.0.11-5) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added mixer store and restore functions to the apm script.
    (closes: #380490)

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Aug 2006 20:34:04 +0200

alsa-driver (1.0.11-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Use lsb init-functions in init script. Thanks Carlos Villegas
    (closes: #377716)

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Jul 2006 16:26:12 +0200

alsa-driver (1.0.11-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added the utf-8 reworked pt_BR.po. (closes: #373960)
    Thanks Felipe Augusto van de Wiel.
  * Introduced 96_vi82xx_dxs_src.dpatch. (closes: #366212)
    Thanks Nick Liverton.
  * Introduced 17_alsa-timer-irqsave.dpatch. Prevents locking the system
    playing midi files under heavy load. Thanks Arthur Marsh for testing.
    (closes: #376382)

 -- Jordi Mallach <jordi@debian.org>  Wed,  5 Jul 2006 10:28:57 +0200

alsa-driver (1.0.11-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Replaced 98_pmac.dpatch with 97_pmac_hg.dpatch. The patch is caught from the
    HG Alsa repo.
  * Added 98_pmac_hg2.dpatch to fix compilation of ppc drivers with 2.6.17.
    Caught from HG Alsa repo as well.
  * Bumped Standard-Version to 3.7.2; no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 May 2006 00:57:02 +0200

alsa-driver (1.0.11-1) unstable; urgency=low

  * New upstream release
    - builds with Linux 2.6.16 (closes: #359856, #360287)

  [ Elimar Riesebieter ]
  * Added saa7134 to debian/OSS-module-list and removed appropriate note in
    debian/notes (Closes: #359851)
  * Introduced Build-Depends for debhelper and dpatch as requested from
    lintian.
  * Removed the lintian capital-letters from overrides, as they are not needed
    anymore.
  * Reorked overrides rules
  * Introduced 98_pmac.dpatch as the native sources don't build the powermac
    driver.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 17:06:15 +0200

alsa-driver (1.0.10+1.0.11rc3-1) experimental; urgency=low

   * New upstream release candidate

